:TITLE
ATIM32 BBS DSP

:KEY
ATIM32BB

:FILES :MODE=PRIMARY
ATIM32        %BOOTDRIVE%:
DSPRES.DL_    %BOOTDRIVE%:
BASEVID       %BOOTDRIVE%:
VSVGA.SY_     %BOOTDRIVE%:

:FILES :MODE=PRIMARY :MODE=WINDOWS
WINM32        %WINPATH%\SYSTEM

:CONFIG :MODE=PRIMARY
DEVINFO=SCR,BGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIDEO_DEVICES=VIO_SVGA
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA)
*SET ATI_RES=1024x768x8bpp
DEVICE=%BOOTDRIVE%:\OS2\ATI0.SYS

:CONFIG :MODE=PRIMARY :MODE=BIDI
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA,BDBVH)

:CONFIG :MODE=PRIMARY :MODE=DOS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VSVGA.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VAD32.SYS

:DEL_CONFIG_LINE :MODE=PRIMARY
SET VIO_%PRI% = DEVICE(BVH%PRI%,BDBVH)
SET VIO_8514A=DEVICE(BVHVGA,BVH8514A,BDBVH)
SET VIO_CGA=DEVICE(BVHCGA,BDBVH)
SET VIO_EGA=DEVICE(BVHEGA,BDBVH)
SET VIO_SVGA=DEVICE(BVHVGA,BVHSVGA,BDBVH)
SET VIO_VGA=DEVICE(BVHVGA,BDBVH)
SET VIO_VGA=DEVICE(BVHVGA,BVHSVGA,BDBVH)
SET VIO_XGA=DEVICE(BVHVGA,BVHXGA,BDBVH)

*:DELETING VGA LINES FOR PROTECT MODE
DEVINFO=SCR,VGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP

*:DELETING ULTRAPM0 STUFF FROM OLD 16BIT install
DEVICE=%BOOTDRIVE%:\ULTRAPM0\VVGA.SYS
DEVICE=%BOOTDRIVE%:\ULTRAPM0\ATI0.SYS
DEVICE=%BOOTDRIVE%:\ULTRAPM1\VVGA.SYS
DEVICE=%BOOTDRIVE%:\ULTRAPM1\ATI0.SYS


*:DELETING XGA LINES FOR PROTECT MODE
DEVICE=%BOOTDRIVE%:\OS2\XGARING0.SYS
DEVICE=%BOOTDRIVE%:\OS2\XGA.SYS
BASEDEV=XGA.SYS
SET VIO_XGA=DEVICE(BVHVGA,BVHXGA)

*:DELETING CGA LINES FOR PROTECT MODE
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_CGA=DEVICE(BVHCGA)

*:DELETING EGA LINES FOR PROTECT MODE
DEVINFO=SCR,EGA,%BOOTDRIVE%:\OS2\VIOTBL.DCP
SET VIO_EGA=DEVICE(BVHEGA)

*:DELETING 8514A LINES FOR PROTECT MODE
SET VIO_8514A=DEVICE(BVHVGA,BVH8514A)

:DEL_CONFIG_LINE :MODE=PRIMARY :MODE=DOS

*:DELETING XGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VXGA.SYS

*:DELETING CGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VCGA.SYS

*:DELETING EGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VEGA.SYS

*:DELETING 8514A LINES FOR PROTECT MODE
SET VIO_8514A=DEVICE(BVHVGA,BVH8514A)

*:DELETING VGA LINES FOR REAL MODE
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VVGA.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\VMACH32.SYS
DEVICE=%BOOTDRIVE%:\OS2\MDOS\V8514A.SYS

:OS2INI :MODE=PRIMARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTERSTR 5

:OS2INI :MODE=SECONDARY
%BOOTDRIVE%:\OS2\INSTALL\REINSTAL.INI
InstallWindow VIOADAPTER2STR 5

:OS2INI :MODE=PRIMARY
OS2.INI
PM_DISPLAYDRIVERS  ATIM32         ATIM32
PM_DISPLAYDRIVERS  CURRENTDRIVER  ATIM32
*LEAVE DEFAULTDRIVER ALONE IN CASE INSTALL FAILS
*PM_DISPLAYDRIVERS  DEFAULTDRIVER  ATIM32
*RESET TO 640x480
*PM_DISPLAYDRIVERS  DEFAULTSYSTEMRESOLUTION 0
PM_Fonts           COURIERI
PM_Fonts           HELVI
PM_Fonts           TIMESI


:OS2INI :MODE=PRIMARY :MODE=WINDOWS
OS2.INI
PM_DISPLAYDRIVERS RESOLUTION_CHANGED 1
WIN_RES_640x480x256    WIN_RES_SET    WIN_RES_M321
WIN_RES_800x600x256    WIN_RES_SET    WIN_RES_M323
WIN_RES_1024x768x256   WIN_RES_SET    WIN_RES_M325
WIN_RES_1280x1024x256  WIN_RES_SET    WIN_RES_M327
WIN_RES_640x480x65536  WIN_RES_SET    WIN_RES_M322
WIN_RES_800x600x65536  WIN_RES_SET    WIN_RES_M324
WIN_RES_1024x768x65536 WIN_RES_SET    WIN_RES_M326
WIN_RES_640x480x16777216 WIN_RES_SET    WIN_RES_M328
WIN_RES_800x600x16777216 WIN_RES_SET    WIN_RES_M329

WIN_RES_M321   01   "system.ini boot display.drv mach86.drv"
WIN_RES_M321   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M321   03   "system.ini boot.description display.drv \"ATI MACH32 256 color driver\""
WIN_RES_M321   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 256 color driver\""
WIN_RES_M321   05   "system.ini boot fonts.fon vgasys.fon"
WIN_RES_M321   06   "win.ini Mach VAD off"
WIN_RES_M321   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M321   08   "win.ini Mach Polygon on"
WIN_RES_M321   09   "win.ini Mach EngineBlt on"
WIN_RES_M321   10   "win.ini Mach PixelDepth 8"
WIN_RES_M321   11   "win.ini Mach dpi 96"
WIN_RES_M321   12   "win.ini Mach DesktopSize 640x480"
WIN_RES_M321   13   "win.ini Mach ScreenSize 640x480"

WIN_RES_M322   01   "system.ini boot display.drv mach86.drv"
WIN_RES_M322   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M322   03   "system.ini boot.description display.drv \"ATI MACH32 65536 color driver\""
WIN_RES_M322   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 65536 color driver\""
WIN_RES_M322   05   "system.ini boot fonts.fon vgasys.fon"
WIN_RES_M322   06   "win.ini Mach VAD off"
WIN_RES_M322   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M322   08   "win.ini Mach Polygon on"
WIN_RES_M322   09   "win.ini Mach EngineBlt on"
WIN_RES_M322   10   "win.ini Mach PixelDepth 16"
WIN_RES_M322   11   "win.ini Mach dpi 96"
WIN_RES_M322   12   "win.ini Mach DesktopSize 640x480"
WIN_RES_M322   13   "win.ini Mach ScreenSize 640x480"

WIN_RES_M323   01   "system.ini boot display.drv mach86.drv"
WIN_RES_M323   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M323   03   "system.ini boot.description display.drv \"ATI MACH32 256 color driver\""
WIN_RES_M323   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 256 color driver\""
WIN_RES_M323   05   "system.ini boot fonts.fon vgasys.fon"
WIN_RES_M323   06   "win.ini Mach VAD off"
WIN_RES_M323   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M323   08   "win.ini Mach Polygon on"
WIN_RES_M323   09   "win.ini Mach EngineBlt on"
WIN_RES_M323   10   "win.ini Mach PixelDepth 8"
WIN_RES_M323   11   "win.ini Mach dpi 96"
WIN_RES_M323   12   "win.ini Mach DesktopSize 800x600"
WIN_RES_M323   13   "win.ini Mach ScreenSize 800x600"

WIN_RES_M324   01   "system.ini boot display.drv mach86.drv"
WIN_RES_M324   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M324   03   "system.ini boot.description display.drv \"ATI MACH32 65536 color driver\""
WIN_RES_M324   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 65536 color driver\""
WIN_RES_M324   05   "system.ini boot fonts.fon vgasys.fon"
WIN_RES_M324   06   "win.ini Mach VAD off"
WIN_RES_M324   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M324   08   "win.ini Mach Polygon on"
WIN_RES_M324   09   "win.ini Mach EngineBlt on"
WIN_RES_M324   10   "win.ini Mach PixelDepth 16"
WIN_RES_M321   11   "win.ini Mach dpi 96"
WIN_RES_M324   12   "win.ini Mach DesktopSize 800x600"
WIN_RES_M324   13   "win.ini Mach ScreenSize 800x600"

WIN_RES_M325   01   "system.ini boot display.drv mach80.drv"
WIN_RES_M325   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M325   03   "system.ini boot.description display.drv \"ATI MACH32 256 color driver\""
WIN_RES_M325   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 256 color driver\""
WIN_RES_M325   05   "system.ini boot fonts.fon 8514sys.fon"
WIN_RES_M325   06   "win.ini Mach VAD off"
WIN_RES_M325   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M325   08   "win.ini Mach Polygon on"
WIN_RES_M325   09   "win.ini Mach EngineBlt on"
WIN_RES_M325   10   "win.ini Mach PixelDepth 8"
WIN_RES_M325   11   "win.ini Mach dpi 120"
WIN_RES_M325   12   "win.ini Mach DesktopSize 1024x768"
WIN_RES_M325   13   "win.ini Mach ScreenSize 1024x768"

WIN_RES_M326   01   "system.ini boot display.drv mach80.drv"
WIN_RES_M326   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M326   03   "system.ini boot.description display.drv \"ATI MACH32 65536 color driver\""
WIN_RES_M326   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 65536 color driver\""
WIN_RES_M326   05   "system.ini boot fonts.fon 8514sys.fon"
WIN_RES_M326   06   "win.ini Mach VAD off"
WIN_RES_M326   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M326   08   "win.ini Mach Polygon on"
WIN_RES_M326   09   "win.ini Mach EngineBlt on"
WIN_RES_M326   10   "win.ini Mach PixelDepth 16"
WIN_RES_M326   11   "win.ini Mach dpi 120"
WIN_RES_M326   12   "win.ini Mach DesktopSize 1024x768"
WIN_RES_M326   13   "win.ini Mach ScreenSize 1024x768"

WIN_RES_M327   01   "system.ini boot display.drv mach80.drv"
WIN_RES_M327   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M327   03   "system.ini boot.description display.drv \"ATI MACH32 256 color driver\""
WIN_RES_M327   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 256 color driver\""
WIN_RES_M327   05   "system.ini boot fonts.fon 8514sys.fon"
WIN_RES_M327   06   "win.ini Mach VAD off"
WIN_RES_M327   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M327   08   "win.ini Mach Polygon on"
WIN_RES_M327   09   "win.ini Mach EngineBlt on"
WIN_RES_M327   10   "win.ini Mach PixelDepth 8"
WIN_RES_M327   11   "win.ini Mach dpi 120"
WIN_RES_M327   12   "win.ini Mach DesktopSize 1280x1024"
WIN_RES_M327   13   "win.ini Mach ScreenSize 1280x1024"

WIN_RES_M328   01   "system.ini boot display.drv mach80.drv"
WIN_RES_M328   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M328   03   "system.ini boot.description display.drv \"ATI MACH32 16 Millon color driver\""
WIN_RES_M328   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 16 Millon color driver\""
WIN_RES_M328   05   "system.ini boot fonts.fon vgasys.fon"
WIN_RES_M328   06   "win.ini Mach VAD off"
WIN_RES_M328   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M328   08   "win.ini Mach Polygon on"
WIN_RES_M328   09   "win.ini Mach EngineBlt on"
WIN_RES_M328   10   "win.ini Mach PixelDepth 24"
WIN_RES_M328   11   "win.ini Mach dpi 96"
WIN_RES_M328   12   "win.ini Mach DesktopSize 640x480"
WIN_RES_M328   13   "win.ini Mach ScreenSize 640x480"

WIN_RES_M329   01   "system.ini boot display.drv mach80.drv"
WIN_RES_M329   02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_M329   03   "system.ini boot.description display.drv \"ATI MACH32 16 Millon color driver\""
WIN_RES_M329   04   "system.ini boot.description sdisplay.drv \"ATI MACH32 16 Millon color driver\""
WIN_RES_M329   05   "system.ini boot fonts.fon vgasys.fon"
WIN_RES_M329   06   "win.ini Mach VAD off"
WIN_RES_M329   07   "win.ini Mach DeviceBitmap off"
WIN_RES_M329   08   "win.ini Mach Polygon on"
WIN_RES_M329   09   "win.ini Mach EngineBlt on"
WIN_RES_M329   10   "win.ini Mach PixelDepth 24"
WIN_RES_M329   11   "win.ini Mach dpi 96"
WIN_RES_M329   12   "win.ini Mach DesktopSize 800x600"
WIN_RES_M329   13   "win.ini Mach ScreenSize 800x600"

WIN_RES_UNKNOWN  01   "system.ini boot display.drv mach86.drv"
WIN_RES_UNKNOWN  02   "system.ini boot sdisplay.drv smach.drv"
WIN_RES_UNKNOWN  03   "system.ini boot.description display.drv \"ATI MACH32 256 color driver\""
WIN_RES_UNKNOWN  04   "system.ini boot.description sdisplay.drv \"ATI MACH32 256 color driver\""
WIN_RES_UNKNOWN  05   "system.ini boot fonts.fon vgasys.fon"
WIN_RES_UNKNOWN  06   "win.ini Mach VAD off"
WIN_RES_UNKNOWN  07   "win.ini Mach DeviceBitmap off"
WIN_RES_UNKNOWN  08   "win.ini Mach Polygon on"
WIN_RES_UNKNOWN  09   "win.ini Mach EngineBlt on"
WIN_RES_UNKNOWN  10   "win.ini Mach PixelDepth 8"
WIN_RES_UNKNOWN  11   "win.ini Mach dpi 96"
WIN_RES_UNKNOWN  12   "win.ini Mach DesktopSize 640x480"
WIN_RES_UNKNOWN  13   "win.ini Mach ScreenSize 640x480"

* CAN'T RUN 8514 IN SEAMLESS YET 7/21/92 (SJK)
:WININI :MODE=PRIMARY :MODE=WINDOWS
WIN.INI
Desktop IconSpacing 100
Mach   VAD          off
Mach   DeviceBitmap off
Mach   Polygon      on
Mach   EngineBlt    on
Mach   PixelDepth   8
Mach   dpi          96
Mach ColourWeight16 565
Mach   DesktopSize  640x480
Mach   ScreenSize   640x480

:WININI :MODE=PRIMARY :MODE=WINDOWS
SYSTEM.INI
boot   WOS2VDMApps
boot   SAVDMApps
* boot   MAVDMApps    !printman
boot   MAVDMApps
* boot   386grabber 8514.gr3
boot   fonts.fon    8514sys.fon
boot   display.drv  mach86.drv
boot   sdisplay.drv smach.drv
boot.description display.drv  \"ATI MACH32 256 color Driver\"
boot.description sdisplay.drv \"ATI MACH32 256 color Driver\"
boot   useos2shield 1
boot   os2shield    winsheld.exe

* echo command to logfile in case cmd doesn't exist (error msg said bad path)
:RUN :MODE=PRIMARY :MODE=WINDOWS
CMD.EXE /C ECHO %BOOTDRIVE%:\OS2\INSTALL\TST4WOW.CMD %BOOTDRIVE%: %BOOTDRIVE%:\OS2\INSTALL\ATIM32FU.DSA %BOOTDRIVE%:\OS2\INSTALL\ATIM32WO.DSA 2>> %BOOTDRIVE%:\OS2\INSTALL\DSPINSTL.LOG 1>&2
CMD.EXE /C      %BOOTDRIVE%:\OS2\INSTALL\TST4WOW.CMD %BOOTDRIVE%: %BOOTDRIVE%:\OS2\INSTALL\ATIM32FU.DSA %BOOTDRIVE%:\OS2\INSTALL\ATIM32WO.DSA 2>> %BOOTDRIVE%:\OS2\INSTALL\DSPINSTL.LOG

